Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.store.jpa.model.simple
Class SimpleJpaRepository.LargeValueSerializer

    java.lang.Object
      org.modeshape.connector.store.jpa.model.simple.SimpleJpaRepository.LargeValueSerializer

All Implemented Interfaces:
  Serializer.LargeValues

Enclosing class:
  SimpleJpaRepository

    protected class SimpleJpaRepository.LargeValueSerializer

extends Object
implements Serializer.LargeValues

Constructor Summary
`SimpleJpaRepository.LargeValueSerializer(NodeEntity entity)`
`SimpleJpaRepository.LargeValueSerializer(NodeEntity entity, Set<String> written)`

Method Summary
`long` | `getMinimumSize()` Get the minimum size for large values, specified as `number of characters` for a `String` or the `number of bytes for a binary value`
`Object` | `read(ValueFactories valueFactories, byte[] hash, long length)`
`void` | `write(byte[] hash, long length, PropertyType type, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleJpaRepository.LargeValueSerializer

    public SimpleJpaRepository.LargeValueSerializer(NodeEntity entity)

### SimpleJpaRepository.LargeValueSerializer

    public SimpleJpaRepository.LargeValueSerializer(NodeEntity entity,
                                                    Set<String> written)

Method Detail

### getMinimumSize

    public long getMinimumSize()

  Get the minimum size for large values, specified as `number of characters` for a `String` or the `number of bytes for a binary value`

  Specified by:
    `getMinimumSize` in interface `Serializer.LargeValues`
  Returns:
    the size at which a property value is considered to be large
  See Also:
    `Serializer.LargeValues.getMinimumSize()`

### read

    public Object read(ValueFactories valueFactories,
                       byte[] hash,
                       long length)
                throws IOException

  Specified by:
    `read` in interface `Serializer.LargeValues`
  Throws:
    `IOException`
  See Also:
    `Serializer.LargeValues.read(org.modeshape.graph.property.ValueFactories, byte[], long)`

### write

    public void write(byte[] hash,
                      long length,
                      PropertyType type,
                      Object value)
               throws IOException

  Specified by:
    `write` in interface `Serializer.LargeValues`
  Throws:
    `IOException`
  See Also:
    `Serializer.LargeValues.write(byte[], long, org.modeshape.graph.property.PropertyType, java.lang.Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.